org.encog.util.normalize.input

## Class InputFieldEncogCollection

- java.lang.Object
- - org.encog.util.normalize.input.BasicInputField
  - - org.encog.util.normalize.input.InputFieldEncogCollection

- All Implemented Interfaces:
    Serializable, InputField

      public class InputFieldEncogCollection
      extends BasicInputField

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputFieldEncogCollection()`
    `InputFieldEncogCollection(String resourceName, int offset)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getOffset()`
    `String` | `getResourceName()`
    `void` | `setOffset(int offset)`
    `void` | `setResourceName(String resourceName)`
    `String` | `toString()`

    - ### Methods inherited from class org.encog.util.normalize.input.BasicInputField

      `applyMinMax, getCurrentValue, getMax, getMin, getUsedForNetworkInput, getValue, setCurrentValue, setMax, setMin, setUsedForNetworkInput`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### InputFieldEncogCollection

          public InputFieldEncogCollection()

    - #### InputFieldEncogCollection

          public InputFieldEncogCollection(String resourceName,
                                   int offset)

  - ### Method Detail

    - #### getResourceName

          public String getResourceName()

      Returns:
        the resourceName

    - #### setResourceName

          public void setResourceName(String resourceName)

      Parameters:
        `resourceName` - the resourceName to set

    - #### getOffset

          public int getOffset()

      Returns:
        the offset

    - #### setOffset

          public void setOffset(int offset)

      Parameters:
        `offset` - the offset to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.